.container {
  width: 1200px;
  margin: 0 auto;
  margin-top: 50px;
  display: grid;
  gap: 30px;

  .store & {
    grid-template-columns: 1fr 3fr;
  }

  .checkout & {
    grid-template-columns: 3fr 1fr;

    @include sm {
      grid-template-columns: 1fr;
    }
  }

  @include lg {
    width: 960px;
  }

  @include md {
    width: 720px;
  }

  @include sm {
    width: 540px;
  }

  @include xs {
    width: 90vw;
    .store & {
      grid-template-columns: 1fr
      !important;
    }
  }
}


$layout-types: 'grid', 'list';

@each $type in $layout-types { 
  .layout-#{$type} {
    display: flex;
    width: 100%;
    @if $type == 'grid' {
      flex-wrap: wrap;
    } @else if $type == 'list' {
      flex-direction: column;
    }
  }
}

.grid {
@include sm {
  grid-template-columns: 1fr 2fr
  !important;
}
}

.list {
  @include sm {
    grid-template-columns: 1fr
    !important;
    }
}

